Subject: #1314 not #1313 Newsgroups and reserved characters

From: Harald Alvestrand <[email-masked]>
Date: Thu, 27 Jul 2006 00:59:23 -0700

Mistyped the ticket number, sorry.

Harald Alvestrand wrote:
>
> Existing text:
>
>   A newsgroup component SHOULD NOT consist of digits only, and SHOULD
>   NOT contain uppercase letters.  Such components MAY be used only to
>   refer to existing groups that do not conform to this naming scheme.
>
>      NOTE: All-digit components conflict with one widely used storage
>      scheme for articles.  Mixed case groups cause confusion between
>      systems with case sensitive matching and systems with case
>      insensitive matching of <newsgroup-name>s.
>
>   <component>s beginning with underline ("_") are reserved for use by
>   future versions of this standard and MUST NOT be generated by user
>   agents (whether in Newsgroups header fields or in newgroup control
>   messages [I-D.ietf-usefor-usepro]).  However, such names MUST be
>   accepted by news servers.
>
>   <component>s beginning with "+" and "-" are reserved for private use
>   and MUST NOT be generated by user agents (whether in Newsgroups
>   header fields or in newgroup control messages [I-D.ietf-usefor-
>   usepro]) without a private prior agreement to do so.  However, such
>   names MUST be accepted by news servers.
>
> Proposed new text - clarifying that "may only" means MAY + MUST NOT,
> and making it clear that restriction applies to all header fields, not 
> just Newsgroups:
>
>   A newsgroup component SHOULD NOT consist of digits only, and SHOULD
>   NOT contain uppercase letters.  Such components MAY be used  to
>   refer to existing groups that do not conform to this naming scheme,
>   but MUST NOT be used otherwise.
>
>      NOTE: All-digit components conflict with one widely used storage
>      scheme for articles.  Mixed case groups cause confusion between
>      systems with case sensitive matching and systems with case
>      insensitive matching of <newsgroup-name>s.
>
>   <component>s beginning with underline ("_") are reserved for use by
>   future versions of this standard and MUST NOT be generated by user
>   agents (whether in header fields or in newgroup control
>   messages [I-D.ietf-usefor-usepro]).  However, such names MUST be
>   accepted by news servers.
>
>   <component>s beginning with "+" and "-" are reserved for private use
>   and MUST NOT be generated by user agents (whether in
>   header fields or in newgroup control messages [I-D.ietf-usefor-
>   usepro]) without a private prior agreement to do so.  However, such
>   names MUST be accepted by news servers.
>
> WRT whether user agents should accept or not:
> I think user agents are free to accept or reject these components at 
> will; the standard
> shouldn't have a need to say anything about that. So being silent is 
> good.
>
> Comments?
>
>
>
>

---

From: Harald Alvestrand <[email-masked]>
Date: Thu, 27 Jul 2006 00:54:48 -0700

Existing text:

WRT whether user agents should accept or not:
I think user agents are free to accept or reject these components at 
will; the standard
shouldn't have a need to say anything about that. So being silent is good.

Comments?